/**
 * frame.h
 *
 * Author: Christian Jung <chris@tapage.de>
 * Date  : 2009-06-06
 */

#ifndef _FRAME_H
#define _FRAME_H

#include <string.h>    /* size_t */
#include <inttypes.h>  /* uint8_t, uint16_t */
#include <unistd.h>    /* read, write */
#include <arpa/inet.h> /* ntohs, htons */
#include "crc16.h"

#include <stdio.h> /*debug */

ssize_t frame_receive( const int fd, uint8_t *buffer, size_t length );
ssize_t frame_send( const int fd, uint8_t const *buffer, size_t length );

#endif /* _FRAME_H */
